> ## Documentation Index
> Fetch the complete documentation index at: https://aegisterspa.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create VPN Profile

> Insert new VPN profile.



## OpenAPI

````yaml post /api/v1/vpn
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.3
servers: []
security: []
paths:
  /api/v1/vpn:
    post:
      tags:
        - vpn
      description: Insert new VPN profile.
      operationId: vpn_create
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                organization:
                  type: number
                  description: Unique identifier for the Organization.
                  examples:
                    - 1
                    - 2
                    - 3
                email:
                  type: string
                  format: email
                  description: Email address of the user to be assigned to the VPN profile.
                  examples:
                    - jdoe@sample.com
          multipart/form-data:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    organization:
                      type: number
                      description: Unique identifier for the Organization.
                      examples:
                        - 1
                        - 2
                        - 3
                    description:
                      type: string
                      format: email
                      description: >-
                        Email address of the user to be assigned to the VPN
                        profile.
                      examples:
                        - jdoe@sample.com
      responses:
        '201':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 0
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
                  vpn:
                    type: number
                    description: Created VPN profile unique id.
          description: ''
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - - Malformed data structure
          description: ''
        '401':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - - 9153
          description: ''
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````